PipeWire: spa_thread_utils_methods Struct Reference

PipeWire 0.3.51

Data Fields
spa_thread_utils_methods Struct Reference
SPA » Support » Thread

thread utils More...

`#include <spa/support/thread.h>`

## Data Fields
uint32_t | version
struct spa_thread *(* | create )(void *object, const struct spa_dict *props, void *(*start)(void *), void *arg)
| create a new thread that runs start with arg More...
int(* | join )(void *object, struct spa_thread *thread, void **retval)
| stop and join a thread More...
int(* | get_rt_range )(void *object, const struct spa_dict *props, int *min, int *max)
| get realtime priority range for threads created with props More...
int(* | acquire_rt )(void *object, struct spa_thread *thread, int priority)
| acquire realtime priority, a priority of -1 refers to the priority configured in the realtime module More...
int(* | drop_rt )(void *object, struct spa_thread *thread)
| drop realtime priority More...

## Detailed Description

thread utils

## Field Documentation

## ◆ version

uint32_t spa_thread_utils_methods::version

## ◆ create

struct spa_thread *(* spa_thread_utils_methods::create) (void *object, const struct spa_dict *props, void *(*start)(void *), void *arg)

create a new thread that runs start with arg

## ◆ join

int(* spa_thread_utils_methods::join) (void *object, struct spa_thread *thread, void **retval)

stop and join a thread

## ◆ get_rt_range

int(* spa_thread_utils_methods::get_rt_range) (void *object, const struct spa_dict *props, int *min, int *max)

get realtime priority range for threads created with props

## ◆ acquire_rt

int(* spa_thread_utils_methods::acquire_rt) (void *object, struct spa_thread *thread, int priority)

acquire realtime priority, a priority of -1 refers to the priority configured in the realtime module

## ◆ drop_rt

int(* spa_thread_utils_methods::drop_rt) (void *object, struct spa_thread *thread)

drop realtime priority

The documentation for this struct was generated from the following file:

- spa/support/thread.h